<template>
  <div class="json-preview">
    <pre>{{ $store.getters.nodeTree }}</pre>

    <button
      class="btn--second"
      @click="saveJSON"
    >
      Save to JSON
    </button>
  </div>
</template>

<script>
  import saveJsonToFile from './saveJsonToFile'

  export default {
    name: 'JsonPreview',    
    methods: {
      saveJSON() {
        saveJsonToFile(this.$store.getters.nodeTree)
      }
    }
  }
</script>

<style lang="scss">
  .json-preview {
    position: relative;
    margin-top: 1rem;
    padding: 1rem;
    color: var(--json-text-color);
    background-color: var(--json-background-color);
    font-weight: 700;

    .btn--second {
      position: absolute;
      top: 1rem;
      right: 1rem;
      padding: 1rem;
    }
  }
</style>
